#GIT_CMT=29ca67ed74afbf3287cbe318a6f649a09e1528e2
%global checkout 43e96a1e 
%global firmware_release 44

Name:		linux-firmware
Version:	20160616
Release:    44.git43e96a1e.0.10.el6
Summary:	Firmware files used by the Linux kernel

Group:		System Environment/Kernel
License:	GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
URL:		https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
# Source0 creation: "git archive --format=tar [gitid] | gzip > [srcdir]/%{name}-%{version}.tar.gz"
Source0: linux-firmware-20160616.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Provides:	kernel-firmware = %{version}
# Provides:	xorg-x11-drv-ati-firmware = 7.6.1-2
# Provides:	ql2500-firmware
Obsoletes:	kernel-firmware <= %{version}
# Obsoletes:	xorg-x11-drv-ati-firmware <= 7.6.1-2
Obsoletes:	ueagle-atm4-firmware <= 1.0-5
Obsoletes:	netxen-firmware <= 4.0.534-9
Obsoletes:	ql2100-firmware <= 1.19.38-7
Provides:       ql2100-firmware <= 1.19.38-7
Obsoletes:	ql2200-firmware <= 2.02.08-7
Provides:       ql2200-firmware <= 2.02.08-7
Obsoletes:	ql23xx-firmware <= 3.03.28-5
Provides:       ql23xx-firmware <= 3.03.28-5
Obsoletes:	ql2400-firmware = 8.02.00-1.0.1.el6
Provides:       ql2400-firmware = 8.02.00-1.0.1.el6
Obsoletes:	ql2500-firmware = 8.02.00-1.0.1.el6
Provides:       ql2500-firmware = 8.02.00-1.0.1.el6
Obsoletes:	rt61pci-firmware <= 1.2-11
Obsoletes:	rt73usb-firmware <= 1.8-11
Obsoletes:	bfa-firmware <= 3.2.21.1-1
# Mark the obsolecence of removed sub-packages (see bug 1232315)
Obsoletes:	libertas-usb8388-firmware
Obsoletes:	libertas-sd8686-firmware
Obsoletes:	libertas-sd8787-firmware
Obsoletes: 	libertas-usb8388-olpc-firmware
# Obsoletes:	ivtv-firmware <= 20080701

%define _binaries_in_noarch_packages_terminate_build   0
%define _unpackaged_files_terminate_build 0
# We need to keep old fw blobs for backwards compat in RHEL.
# RPMDiff tool complained about old firmware going away as well,
# so here's where we're keeping them for now. Chelsio needs to
# remedy the situation with their upstream firmware tree updates
# removing old firmwares.
# Source1: cxgb4-old-fw.tar.bz2

%define fwdir /lib/firmware

%description
Linux-firmware includes firmware files required for some devices to
operate.

%prep
# Setup Source0 and additional Source1
%setup -q 

%build
# Remove firmware shipped in separate packages already
# Perhaps these should be built as subpackages of linux-firmware?
rm -rf ess korg sb16 yamaha
# And _some_ conexant firmware.
 

# Remove source files we don't need to install
rm -f usbdux/*dux */*.asm
rm -rf carl9170fw
# rm -rf iwlwifi*.ucode

# AMD ucode still breaks overflow signal handler and sampling on at least
# some AMD systems, so remove it *again*.
rm -rf LICENSE.amd-ucode amd-ucode

# Remove firmware images for WiFi & WiMax drivers not compiled in RHEL7 kernel
rm -rf ath6k
rm -rf ti-connectivity
rm -rf libertas
# rm -f mrvl/sd8688.bin
# rm -f mrvl/sd8688_helper.bin
rm -rf mwl8k
rm -f i2400m-fw-usb-1.4.sbcf
rm -f i2400m-fw-usb-1.5.sbcf
rm -f i6050-fw-usb-1.5.sbcf

# Remove firmware from ivtv-firmware package
rm -f v4l-cx2341x-dec.fw v4l-cx2341x-enc.fw v4l-cx2341x-init.mpg v4l-cx25840.fw
rm -f v4l-pvrusb2-24xxx-01.fw v4l-pvrusb2-29xxx-01.fw
rm -f ivtv-firmware-license-end-user.txt
rm -f iwlwifi-5000-5.ucode

# remove x11 ati files conflict with xorg-x11-drv-ati-firmware package.
rm -f radeon/*

# Remove images for vxge, we do not provide that driver in RHEL7 kernel
rm -rf vxge

# Fix up cxgb4 symlinks per bug 1262128
pushd cxgb4
rm -f t4fw.bin t5fw.bin
ln -s t4fw-1.15.37.0.bin t4fw.bin
ln -s t5fw-1.15.37.0.bin t5fw.bin
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fwdir}
mkdir -p $RPM_BUILD_ROOT%{fwdir}/updates
cp -r * $RPM_BUILD_ROOT%{fwdir}
rm $RPM_BUILD_ROOT%{fwdir}/{WHENCE,LICENCE.*,LICENSE.*}

# Create file list but exclude firmwares that we place in subpackages
FILEDIR=`pwd`
pushd $RPM_BUILD_ROOT%{fwdir}
find . \! -type d > $FILEDIR/linux-firmware.files
find . -type d | sed -e '/^.$/d' > $FILEDIR/linux-firmware.dirs
popd
sed -i -e 's:^./::' linux-firmware.{files,dirs}
#sed -i -e '/^iwlwifi/d' \
#	linux-firmware.files
sed -i -e 's/^/\/lib\/firmware\//' linux-firmware.{files,dirs}
sed -e 's/^/%%dir /' linux-firmware.dirs >> linux-firmware.files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f linux-firmware.files
%defattr(-,root,root,-)
%dir %{fwdir}
%dir %{fwdir}/updates
%doc WHENCE LICENCE.* LICENSE.*

%files
%defattr(-,root,root,-)
# %config(noreplace) %{fwdir}/iwlwifi-*-21.ucode
# %config(noreplace) %{fwdir}/radeon/*
# %config(noreplace) %{fwdir}/ql2500_fw.bin

%changelog
* Tue Jul 19 2016 Guru Anbalagane <guru.anbalagane@oracle.com> - 20160616-44.git43e96a1e.0.10.el6
- SPEC: fix qla dependency

* Tue Jul 19 2016 Guru Anbalagane <guru.anbalagane@oracle.com> - 20160616-44.git43e96a1e.0.10
- Cleanup package dependencies (Orabug 24311549)

* Fri Jul 15 2016 Natalya Naumova <natalya.naumova@oracle.com> - 20160616-44.git43e96a1e.0.9
- Added provides for ql23xx-firmware. (Orabug 24298852)

* Thu Jun 16 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160616-44.git43e96a1e
- Include phanfw-4.0.550.bin,phanfw-4.0.588.bin from RHEL kernel-firmware. (Orabug 23337630)

* Tue Jun 7 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160604-44.git57b649d9
- Pull last update from upstream linux-firmware repo. (Orabug 23337630)
- Merged firmware from vendors for bug22066196,bug22066196,bug22003659,bug21879683
